com.fasterxml.jackson.dataformat.avro.ser

## Class NopWriteContext

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.ser.AvroWriteContext
    - - com.fasterxml.jackson.dataformat.avro.ser.NopWriteContext

-     public class NopWriteContext
      extends AvroWriteContext

  Bogus `AvroWriteContext` used when ignoring structured output.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.ser.AvroWriteContext

      `_currentValue, _generator, _parent, _schema`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NopWriteContext(int type, AvroWriteContext parent, AvroGenerator generator, Object currValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendDesc(StringBuilder sb)`
    `AvroWriteContext` | `createChildArrayContext(Object currValue)`
    `AvroWriteContext` | `createChildObjectContext(Object currValue)`
    `Object` | `rawValue()` Accessor called to link data being built with resulting object.
    `void` | `writeNull()`
    `void` | `writeString(String value)`
    `void` | `writeValue(Object value)`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.ser.AvroWriteContext

      `_createArray, _createObjectContext, _createRecord, _createRecord, _recordOrMapFromUnion, canClose, complete, createRootContext, getCurrentName, getCurrentValue, getParent, nullContext, resolveUnionIndex, resolveUnionSchema, resolveUnionType, setCurrentValue, toString, writeFieldName`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getEntryCount, getStartLocation, getTypeDesc, hasCurrentIndex, hasCurrentName, hasPathSegment, inArray, inObject, inRoot, pathAsPointer, pathAsPointer, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NopWriteContext

          public NopWriteContext(int type,
                                 AvroWriteContext parent,
                                 AvroGenerator generator,
                                 Object currValue)

  - ### Method Detail

    - #### rawValue

          public Object rawValue()

      Description copied from class: `AvroWriteContext`
      Accessor called to link data being built with resulting object.
      Specified by:
        `rawValue` in class `AvroWriteContext`

    - #### createChildArrayContext

          public final AvroWriteContext createChildArrayContext(Object currValue)
                                                         throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `createChildArrayContext` in class `AvroWriteContext`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### createChildObjectContext

          public final AvroWriteContext createChildObjectContext(Object currValue)
                                                          throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `createChildObjectContext` in class `AvroWriteContext`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### writeValue

          public void writeValue(Object value)

      Specified by:
        `writeValue` in class `AvroWriteContext`

    - #### writeString

          public void writeString(String value)

      Specified by:
        `writeString` in class `AvroWriteContext`

    - #### writeNull

          public void writeNull()

      Specified by:
        `writeNull` in class `AvroWriteContext`

    - #### appendDesc

          public void appendDesc(StringBuilder sb)

      Specified by:
        `appendDesc` in class `AvroWriteContext`

Copyright © 2019 FasterXML. All rights reserved.